Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface ScrollPaneConstants

All Known Implementing Classes:
  ScrollPaneLayout, JScrollPane, BasicScrollPaneUI

public abstract interface ScrollPaneConstants

Constants used with the JScrollPane component.

Field Summary
`static java.lang.String` | `COLUMN_HEADER` Identifies the area at the top the viewport between the upper left corner and the upper right corner.
`static java.lang.String` | `HORIZONTAL_SCROLLBAR` Identifies a horizonal scrollbar.
`static int` | `HORIZONTAL_SCROLLBAR_ALWAYS` Used to set the horizontal scroll bar policy so that horizontal scrollbars are always displayed.
`static int` | `HORIZONTAL_SCROLLBAR_AS_NEEDED` Used to set the horizontal scroll bar policy so that horizontal scrollbars are displayed only when needed.
`static int` | `HORIZONTAL_SCROLLBAR_NEVER` Used to set the horizontal scroll bar policy so that horizontal scrollbars are never displayed.
`static java.lang.String` | `HORIZONTAL_SCROLLBAR_POLICY` Identifies the horizontal scroll bar policy property.
`static java.lang.String` | `LOWER_LEFT_CORNER` Identifies the lower left corner of the viewport.
`static java.lang.String` | `LOWER_RIGHT_CORNER` Identifies the lower right corner of the viewport.
`static java.lang.String` | `ROW_HEADER` Identifies the area along the left side of the viewport between the upper left corner and the lower left corner.
`static java.lang.String` | `UPPER_LEFT_CORNER` Identifies the upper left corner of the viewport.
`static java.lang.String` | `UPPER_RIGHT_CORNER` Identifies the upper right corner of the viewport.
`static java.lang.String` | `VERTICAL_SCROLLBAR` Identifies a vertical scrollbar.
`static int` | `VERTICAL_SCROLLBAR_ALWAYS` Used to set the vertical scroll bar policy so that vertical scrollbars are always displayed.
`static int` | `VERTICAL_SCROLLBAR_AS_NEEDED` Used to set the vertical scroll bar policy so that vertical scrollbars are displayed only when needed.
`static int` | `VERTICAL_SCROLLBAR_NEVER` Used to set the vertical scroll bar policy so that vertical scrollbars are never displayed.
`static java.lang.String` | `VERTICAL_SCROLLBAR_POLICY` Identifies the vertical scroll bar policy property.
`static java.lang.String` | `VIEWPORT` Identifies a "viewport" or display area, within which scrolled contents are visible.

Field Detail

### VIEWPORT

    public static final java.lang.String VIEWPORT

  Identifies a "viewport" or display area, within which scrolled contents are visible.

### VERTICAL_SCROLLBAR

    public static final java.lang.String VERTICAL_SCROLLBAR

  Identifies a vertical scrollbar.

### HORIZONTAL_SCROLLBAR

    public static final java.lang.String HORIZONTAL_SCROLLBAR

  Identifies a horizonal scrollbar.

### ROW_HEADER

    public static final java.lang.String ROW_HEADER

  Identifies the area along the left side of the viewport between the upper left corner and the lower left corner.

### COLUMN_HEADER

    public static final java.lang.String COLUMN_HEADER

  Identifies the area at the top the viewport between the upper left corner and the upper right corner.

### LOWER_LEFT_CORNER

    public static final java.lang.String LOWER_LEFT_CORNER

  Identifies the lower left corner of the viewport.

### LOWER_RIGHT_CORNER

    public static final java.lang.String LOWER_RIGHT_CORNER

  Identifies the lower right corner of the viewport.

### UPPER_LEFT_CORNER

    public static final java.lang.String UPPER_LEFT_CORNER

  Identifies the upper left corner of the viewport.

### UPPER_RIGHT_CORNER

    public static final java.lang.String UPPER_RIGHT_CORNER

  Identifies the upper right corner of the viewport.

### VERTICAL_SCROLLBAR_POLICY

    public static final java.lang.String VERTICAL_SCROLLBAR_POLICY

  Identifies the vertical scroll bar policy property.

### HORIZONTAL_SCROLLBAR_POLICY

    public static final java.lang.String HORIZONTAL_SCROLLBAR_POLICY

  Identifies the horizontal scroll bar policy property.

### VERTICAL_SCROLLBAR_AS_NEEDED

    public static final int VERTICAL_SCROLLBAR_AS_NEEDED

  Used to set the vertical scroll bar policy so that vertical scrollbars are displayed only when needed.

### VERTICAL_SCROLLBAR_NEVER

    public static final int VERTICAL_SCROLLBAR_NEVER

  Used to set the vertical scroll bar policy so that vertical scrollbars are never displayed.

### VERTICAL_SCROLLBAR_ALWAYS

    public static final int VERTICAL_SCROLLBAR_ALWAYS

  Used to set the vertical scroll bar policy so that vertical scrollbars are always displayed.

### HORIZONTAL_SCROLLBAR_AS_NEEDED

    public static final int HORIZONTAL_SCROLLBAR_AS_NEEDED

  Used to set the horizontal scroll bar policy so that horizontal scrollbars are displayed only when needed.

### HORIZONTAL_SCROLLBAR_NEVER

    public static final int HORIZONTAL_SCROLLBAR_NEVER

  Used to set the horizontal scroll bar policy so that horizontal scrollbars are never displayed.

### HORIZONTAL_SCROLLBAR_ALWAYS

    public static final int HORIZONTAL_SCROLLBAR_ALWAYS

  Used to set the horizontal scroll bar policy so that horizontal scrollbars are always displayed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.